// LPTDlg.h : header file
//

#if !defined(AFX_LPTDLG_H__7ABEBBED_B49F_435B_BDE0_461A35D80C9F__INCLUDED_)
#define AFX_LPTDLG_H__7ABEBBED_B49F_435B_BDE0_461A35D80C9F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CLPTDlg dialog

class CLPTDlg : public CDialog
{
// Construction
public:
	CLPTDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CLPTDlg)
	enum { IDD = IDD_LPT_DIALOG };
	BOOL	bHex;
	int		iPrintNum;
	CString	m_strTx;
	CString strLptName;
	HANDLE hLpt;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLPTDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CLPTDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonClr();
	afx_msg void OnButtonAdd();
	afx_msg void OnButtonJian();
	afx_msg void OnButtonPrint();
	afx_msg void OnSelchangeComboLpt();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LPTDLG_H__7ABEBBED_B49F_435B_BDE0_461A35D80C9F__INCLUDED_)
